--[[
	A paddle module 
--]]
paddle={}
paddle.__index=paddle

function math.angle(x1,y1, x2,y2) return math.atan2(y2-y1, x2-x1) end


function paddle.new(x,y)
	pad=setmetatable({},paddle)
	pad.x=x
	pad.y=y
	pad.orgX=x
	pad.w=15
	pad.h=45
	pad.orgY=y
	pad.r=0
	pad.rot=math.rad(90)
	pad.img=love.graphics.newImage("Assets/Paddle.png")
	return pad
end

function paddle:draw()
	love.graphics.draw(self.img, self.x, self.y, self.rot, 1, 1, 45 / 2, 15 / 2)
end

function paddle:update(func,dt)
	func(dt,self)
end


return paddle